Bug 32265 - univention-ad-connector not restarted after logrotate
univention-ad-connector not restarted after logrotate
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on:
Blocks: 41142
  Show dependency treegraph
 
Reported: 2013-08-19 20:18 CEST by Arvid Requate
Modified: 2016-05-04 18:15 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-08-19 20:18:26 CEST
The univention-ad-connector is not restarted after each logrotate run. From Ticket# 2011111721003386 I know that this usually leads to log messages getting lost (in UCS 2.4). I think we need to adjust the logrotate configuration template to be similar to the one of the univention-s4-connector which performs a restart in the postrun phase.
Comment 1 Christina Scheinig univentionstaff 2016-04-20 11:41:17 CEST
Happened again at Ticket#2016041921000399
UCS 3.2-6 errata336

66GB of the memory is used by a process of the ad-connector

python2.6 2165 root 5u REG 254,0 71130474696 41269 /var/log/univention/connector.log.1 (deleted)
Comment 2 Felix Botner univentionstaff 2016-05-02 12:56:51 CEST
univention-ad-connector: r69049

univention-ad-connector.yaml
Comment 3 Arvid Requate univentionstaff 2016-05-04 15:24:22 CEST
Something seems to be wrong with the permissions of the logrotate file:

root@master10:~# logrotate -d -f /etc/logrotate.d/univention-ad-connector 
Ignoring /etc/logrotate.d/univention-ad-connector because of bad file mode.

Handling 0 logs
root@master10:~# ls -ld /etc/logrotate.d/univention-ad-connector 
-rw-rw-r-- 1 root root 1005 Nov 23 20:11 /etc/logrotate.d/univention-ad-connector
root@master10:~# chmod 644 /etc/logrotate.d/univention-ad-connector
root@master10:~# logrotate -d -f /etc/logrotate.d/univention-ad-connector 
[...]
renaming /var/log/univention/connector.log to /var/log/univention/connector.log.1
creating new /var/log/univention/connector.log mode = 0640 uid = 0 gid = 4
running postrotate script
root@master10:~#
Comment 4 Felix Botner univentionstaff 2016-05-04 15:44:56 CEST
--- debian/univention-ad-connector.univention-config-registry   (Revision 69092)
+++ debian/univention-ad-connector.univention-config-registry   (Arbeitskopie)
@@ -5,3 +5,4 @@
 Type: file
 File: etc/logrotate.d/univention-ad-connector
 Variables: logrotate/.*
+Mode: 0644

merged to 4.1-2
Comment 5 Arvid Requate univentionstaff 2016-05-04 16:26:10 CEST
Ok, mode is fixed now, advisory ok.
Comment 6 Janek Walkenhorst univentionstaff 2016-05-04 18:15:38 CEST
<http://errata.software-univention.de/ucs/4.1/173.html>